OSV-2022-245

Source
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/grok/OSV-2022-245.yaml
Published
2022-03-15T00:01:42.984652Z
Modified
2022-06-20T00:04:40.911772Z
Details

OSS-Fuzz report: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=45548

Crash type: Heap-buffer-overflow READ 4
Crash state:
grk::PacketIter::genPrecinctInfo
grk::PacketManager::PacketManager
grk::T2Decompress::decompressPackets
References

Affected packages

OSS-Fuzz / grok

grok

Affected ranges

Affected versions

v9.*

v9.7.2
v9.7.3
v9.7.4
v9.7.4.debian
v9.7.5
v9.7.5.debian
v9.7.6
v9.7.7
v9.7.8

Ecosystem specific

{
    "severity": "MEDIUM"
}